#
#  engine
#
#  Playout Daemon for autoradio project
#
#
#  Copyright (C) 2017-2018 Gottfried Gaisbauer <gottfried.gaisbauer@servus.at>
#
#  This file is part of engine.
#
#  engine is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  any later version.
#
#  engine is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with engine. If not, see <http://www.gnu.org/licenses/>.
#



# Scheduler Exceptions

class NoProgrammeLoadedException(Exception):
    pass

class NoActiveScheduleException(Exception):
    pass


# Mixer Exceptions

class InvalidChannelException(Exception):
    pass

class PlaylistException(Exception):
    pass

class NoActiveEntryException(Exception):
    pass


# Monitoring Exceptions

class MailingException(Exception):
    pass


# Liquidsoap Execeptions

class LQConnectionError(Exception):
    pass


class RedisConnectionException(Exception):
    pass